View Issue Details

IDProjectCategoryView StatusLast Update
0003389GNUnetcadet servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToBart Polot 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003389: Lost message IDs
DescriptionMesh assigns message IDs on queue. This means that cancelled messages still consume IDs, which can break the flow control mechanism.

Mesh should assign the IDs on send or even offer a callback mechanism similar to the public API but for channel-connection.
TagsNo tags attached.

Relationships

has duplicate 0003374 closedBart Polot Mesh reliable tunnels choke after 0000341:0000500 messages 

Activities

Bart Polot

2014-05-07 19:19

reporter   ~0008306

Fixed in r33180 by assigning the PID on send, not on queue.

Issue History

Date Modified Username Field Change
2014-04-25 15:40 Bart Polot New Issue
2014-04-25 15:40 Bart Polot Status new => assigned
2014-04-25 15:40 Bart Polot Assigned To => Bart Polot
2014-04-25 23:36 Christian Grothoff Priority normal => high
2014-05-07 19:19 Bart Polot Note Added: 0008306
2014-05-07 19:19 Bart Polot Status assigned => resolved
2014-05-07 19:19 Bart Polot Fixed in Version => SVN HEAD
2014-05-07 19:19 Bart Polot Resolution open => fixed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service
2014-05-15 13:21 Bart Polot Relationship added has duplicate 0003374
2014-05-15 20:25 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed